# ldap_delete

(PHP 4, PHP 5, PHP 7)

ldap_delete — Delete an entry from a directory

### Description

ldap_delete ( resource `$link_identifier` , string `$dn` [, array `$serverctrls` = array() ] ) : bool

Deletes a particular entry in LDAP directory.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect().

`dn`

  The distinguished name of an LDAP entity.

`serverctrls`

  Array of LDAP Controls to send with the request.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
7.3 | Support for `serverctrls` added

### See Also

- ldap_delete_ext() - Delete an entry from a directory
- ldap_add() - Add entries to LDAP directory